' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007-2009
'
' All Rights Reserved
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
' return the windows domain or workgroup name
SUCCESS = 254
INTERNAL_ERROR = 0

On Error Resume Next

sDomain = ""
Set objSysInfo = CreateObject( "WinNTSystemInfo" )
sDomain = objSysInfo.DomainName
If Err = 0 And "" <> sDomain Then
    Wscript.Echo sDomain
    Wscript.Quit(SUCCESS)
End If
Err = 0
Set objShell = CreateObject("WScript.shell")
sDomain = objShell.ExpandEnvironmentStrings( "%USERDOMAIN%" )
If Err = 0 And "" <> sDomain Then
    Wscript.Echo sDomain
    Wscript.Quit(SUCCESS)
End If
Call exitWithErr(INTERNAL_ERROR, "Cannot get a windows domain or workgroup name")

Function exitWithErr(errNum, errDescript)
    WScript.StdErr.WriteLine errNum
    WScript.StdErr.WriteLine errDescript
    Wscript.Quit(errNum)
End Function