
' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const SUCCESS = 254
const NOTFOUND = 109
const NOTRUNNING = 110
const NOTPAUSED = 111
const ALREADYRUNNING = 112

strService = wscript.Arguments(0)
strCommand = wscript.Arguments(1)

wscript.echo "strService:" & strService
wscript.echo "strCommand:" & strCommand

found = "1"
Set objWMIService = GetObject("winmgmts:" _
    & "{impersonationLevel=impersonate}!\\.\root\cimv2") 
   

Set colServiceList = objWMIService.ExecQuery _
        ("Select * from Win32_Service")
For each objService in colServiceList
	If strComp(objService.Name, strService, vbTextCompare) = 0 Then
		If strCommand = "start" Then
		    if objService.State = "Running" Then
			    wscript.Quit(ALREADYRUNNING)
			End If
			Return = objService.StartService()
		ElseIf strCommand = "stop" Then
		    if objService.State <> "Running" AND objService.State <> "Paused" Then
			    wscript.Quit(NOTRUNNING)
			End If
			Return = objService.StopService()
		ElseIf strCommand = "pause" Then
		    if objService.State <> "Running" Then
			    wscript.Quit(NOTRUNNING)
			End If
			Return = objService.PauseService()
		ElseIf strCommand = "resume" Then
		    if objService.State <> "Paused" Then
				wscript.Quit(NOTPAUSED)
			End If
			Return = objService.ResumeService()
			if Return <> 0 Then
				
			End If
		ElseIf strCommand = "delete" Then
			Return = objService.Delete()
			
		End If
		found = "0"
                Exit For
	End If
Next

If found = "1" Then
	wscript.Quit(NOTFOUND)
End If

If Return = 0 Then
	wscript.Quit(SUCCESS)
End If


wscript.Quit(Return)
