
' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const SUCCESS = 254
const ALREADYEXISTS = 113


strService = wscript.Arguments(0)
strDispName = wscript.Arguments(1)
strPath = wscript.Arguments(2)
strType = wscript.Arguments(3)
strErrControl = wscript.Arguments(4)
strStartMode = wscript.Arguments(5)
'Desktop interact currently not supported

If WScript.Arguments.Count > 6 Then
    strStartName = wscript.Arguments(7)
    strPassword = wscript.Arguments(8)
    strLoadOrdergroup = wscript.Arguments(9)
End If

if strStartName = "" Then
    strStartName = "LocalSystem"
End if

' for debugging
wscript.echo "strService: " & strService
wscript.echo "strDispName: " & strDispName
wscript.echo "strPath: " & strPath
wscript.echo "strType: " & strType
wscript.echo "strErrControl: " & strErrControl
wscript.echo "strStartMode: " & strStartMode
wscript.echo "strStartName: " & strStartName
wscript.echo "strPassword: " & strPassword
wscript.echo "strLoadOrderGroup: " & strLoadOrderGroup



Set objWMIService = GetObject("winmgmts:" _
    & "{impersonationLevel=impersonate}!\\" _
    & ".\root\cimv2")

Set colServiceList = objWMIService.ExecQuery _
    ("Select * from Win32_Service")

For Each objservice in colServiceList
	If strComp(objService.Name, strService, vbTextCompare) = 0 Then
	    WScript.QUIT(ALREADYEXISTS)
    End If
Next

set objWMI = GetObject("winmgmts:\\.\root\cimv2")
set objService = objWMI.Get("Win32_Service")
If WScript.Arguments.Count > 6 Then
intRC = objService.Create(strService, _                 
                          strDispName, _
                          strPath, _ 
                          strType, _ 
                          strErrControl, _
                          strStartMode, _ 
                          FALSE, _
                          strStartName, _
                          strPassword, _
                          strLoadOrderGroup)
                          
Else
intRC = objService.Create(strService, _                 
                          strDispName, _
                          strPath, _ 
                          strType, _ 
                          strErrControl, _
                          strStartMode)
                          
End If


if intRC <> 0 then
	WScript.Quit(intRC)
else
	WScript.Quit(SUCCESS)
End If
